wreport::benchmark::Task Struct Reference

Collect timings for one task. More...

`#include <benchmark.h>`

## Public Member Functions

| Task (Benchmark *parent, const std::string &name)
void | collect (std::function< void()> f)

## Data Fields

Benchmark * | parent
std::string | name
unsigned | run_count = 0
clock_t | utime = 0
clock_t | stime = 0

## Detailed Description

Collect timings for one task.

The documentation for this struct was generated from the following file:

- benchmark.h